/*=============================================================================
	Copyright (c) 1999-2003 pmG Worldwide, LLC.

	File:	globals.h
	Author:	Lyle Milton
	Date:	08/27/03

=============================================================================*/



#define _MESSIAH_FULL_API
#include <messiah_main.h>


//=============================================================================
//Frame Data
//-----------------------------------------------------------------------------

//Access Function,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_ACCESSFUNC(FrameAccess);


//Inputs,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
//FX_IO_ID( MIN_IN );
//#define in_min			input[MIN_IN].f

//FX_IO_ID( MAX_IN );
//#define in_max			input[MAX_IN].f

//Outputs,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_IO_ID( F_OUT_W );
#define f_out_w			output[F_OUT_W].i

FX_IO_ID( F_OUT_H );
#define f_out_h			output[F_OUT_H].i

FX_IO_ID( F_OUT_X );
#define f_out_x			output[F_OUT_X].i

FX_IO_ID( F_OUT_Y );
#define f_out_y			output[F_OUT_Y].i

FX_IO_ID( F_OUT_XF );
#define f_out_xf		output[F_OUT_XF].f

FX_IO_ID( F_OUT_YF );
#define f_out_yf		output[F_OUT_YF].f


//Variables,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_VAR(FXmodule,		frameID);



//=============================================================================
//Light Data
//-----------------------------------------------------------------------------

//Access Function,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_ACCESSFUNC(LightAccess);


//Inputs,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
//FX_IO_ID( MIN_IN );
//#define in_min			input[MIN_IN].f

//FX_IO_ID( MAX_IN );
//#define in_max			input[MAX_IN].f

//Outputs,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_IO_ID( L_OUT_POS );
#define l_out_pos			output[L_OUT_POS].pnt

FX_IO_ID( L_OUT_DIR );
#define l_out_dir			output[L_OUT_DIR].vec

FX_IO_ID( L_OUT_DST );
#define l_out_dst			output[L_OUT_DST].f

FX_IO_ID( L_OUT_INC );
#define l_out_inc			output[L_OUT_INC].f


//Variables,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
FX_VAR(FXmodule,		lightdataID);



