/*=============================================================================
	Copyright (c) 1999-2004 pmG Worldwide, LLC.

  Author: Lyle Milton
  Date: 06/21/04

  Description: This file demonstrates...
	
		- getting shader global data

=============================================================================*/

#define _MAINPLUGIN_FILE
#include "globals.h"


_pluginEntry
{
	_MESSIAH_PLUGIN_ALL("ShaderGlobalData");

	//,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
	fxModuleDescription("Get Frame data.", 0);
	fxModuleAccess(ACCESS_OBJECT, O_CREATE|O_DESTROY, 0);
	fxModuleAccess(ACCESS_INTERFACE, IN_CREATE, 0);
	frameID = fxModuleRegister(FX_MODTYPE_SHADER, "GlobalFrame", &FrameAccess, 0);
	//`````````````````````````````````````````````````````````````````````````

	//,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
	fxModuleDescription("Get Light data.", 0);
	fxModuleAccess(ACCESS_OBJECT, O_CREATE|O_DESTROY|O_SAVE|O_LOAD, 0);
	fxModuleAccess(ACCESS_INTERFACE, IN_CREATE, 0);
	lightdataID = fxModuleRegister(FX_MODTYPE_SHADER, "GlobalLight", &LightAccess, 0);
	//`````````````````````````````````````````````````````````````````````````

	return FX_PLUGIN_OK;
}


