typedef struct MATRIX
{
	double	**m; //matrix itself
	int		c; //number of columns
	int		r; //number of rows

}MATRIX;

typedef struct FXrbf
{
	FXint size;
	MATRIX *matrix;
	FXdouble *solution;
}FXrbf;

FX_API(FXrbf *, fxCreateRbf)(FXint size);
FX_API(FXvoid, fxDeleteRbf)(FXrbf *rbf);
FX_API(FXvoid, fxRbfSetDist)(FXrbf *rbf, FXint from, FXint to, FXdouble dist);
FX_API(FXvoid, fxRbfSolve)(FXrbf *rbf);
FX_API(FXdouble, fxRbfInterpolate)(FXrbf *rbf, FXint c, FXdouble dist);

#define _USEFUL_RBF		fxCreateRbf = fxGetAPIFunc("useful_CreateRbf", FX_APIFUNCS_CUSTOM);\
						fxDeleteRbf = fxGetAPIFunc("useful_DeleteRbf", FX_APIFUNCS_CUSTOM);\
						fxRbfSetDist = fxGetAPIFunc("useful_RbfSetDist", FX_APIFUNCS_CUSTOM);\
						fxRbfSolve = fxGetAPIFunc("useful_RbfSolve", FX_APIFUNCS_CUSTOM);\
						fxRbfInterpolate = fxGetAPIFunc("useful_RbfInterpolate", FX_APIFUNCS_CUSTOM);
